Loading...
Searching...
No Matches
casacore::RODataManAccessor Class Reference
tables package (libcasa_tables) » DataMan_module » DataMan_module_internal_classes

More...

`#include <DataManAccessor.h>`

## Public Member Functions

| RODataManAccessor ()
| Construct an empty object.
| RODataManAccessor (const Table &table, const String &name, Bool byColumn)
| Construct the accessor object for a data manager in the table.
virtual | ~RODataManAccessor ()
void | setProperties (const Record &) const
| Set data manager properties using the fields in the record.
Record | getProperties () const
| Get data manager properties as a record.
String | dataManagerType () const
| Get the data manager type.
String | dataManagerName () const
| Get the data manager name.
uInt | dataManagerSeqNr () const
| Get the data manager sequence nr.
void | showCacheStatistics (ostream &os) const
| Show IO statistics.

## Protected Member Functions

DataManager * | baseDataManager () const
| Get the data manager for the given data manager or column name.

## Private Attributes

DataManager * | itsDataManager

## Detailed Description

Base class for the Data Manager Accessor classes.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Prerequisite

- DataManager

### Synopsis

The Table system has one or more data managers underneath. Once a table is constructed, these data managers are invisible and there is no way to get access to them. However, sometimes limited access to them is needed (e.g. to set the size of an internal cache).

This class should be used as the base class for specialized Data Manager Accessor classes (e.g. class

ROIncrementalStManAccessor. This base class provides the functionality to get the DataManager object for a given column.

### Motivation

This base class makes it possible that every derived class can get the data manager, because RODataManAccessor is a friend of class Table. Otherwise all accessor classes needed to be friend of Table.

Definition at line 75 of file DataManAccessor.h.

## Constructor & Destructor Documentation

## RODataManAccessor() [1/2]

casacore::RODataManAccessor::RODataManAccessor | ( |  | ) |

inline

Construct an empty object.

Definition at line 79 of file DataManAccessor.h.

References itsDataManager.

## RODataManAccessor() [2/2]

casacore::RODataManAccessor::RODataManAccessor | ( | const Table & | table,
|  | const String & | name,
|  | Bool | byColumn )

Construct the accessor object for a data manager in the table.

An exception is thrown if the name of the data manager or column is unknown.

References casacore::name().

## ~RODataManAccessor()

virtual casacore::RODataManAccessor::~RODataManAccessor | ( |  | ) |

virtual

## Member Function Documentation

## baseDataManager()

DataManager * casacore::RODataManAccessor::baseDataManager | ( |  | ) | const

inline protected

Get the data manager for the given data manager or column name.

Definition at line 116 of file DataManAccessor.h.

References itsDataManager.

## dataManagerName()

String casacore::RODataManAccessor::dataManagerName | ( |  | ) | const

inline

Get the data manager name.

Definition at line 103 of file DataManAccessor.h.

References itsDataManager.

Referenced by casacore::TiledDataStManAccessor::TiledDataStManAccessor().

## dataManagerSeqNr()

uInt casacore::RODataManAccessor::dataManagerSeqNr | ( |  | ) | const

inline

Get the data manager sequence nr.

Definition at line 107 of file DataManAccessor.h.

References itsDataManager.

## dataManagerType()

String casacore::RODataManAccessor::dataManagerType | ( |  | ) | const

inline

Get the data manager type.

Definition at line 99 of file DataManAccessor.h.

References itsDataManager.

## getProperties()

Record casacore::RODataManAccessor::getProperties | ( |  | ) | const

Get data manager properties as a record.

References casacore::Record().

## setProperties()

void casacore::RODataManAccessor::setProperties | ( | const Record & |  | ) | const

Set data manager properties using the fields in the record.

Each data manager has its specific set of properties.

References casacore::Record().

## showCacheStatistics()

void casacore::RODataManAccessor::showCacheStatistics | ( | ostream & | os | ) | const

inline

Show IO statistics.

Definition at line 111 of file DataManAccessor.h.

References itsDataManager.

## Member Data Documentation

## itsDataManager

DataManager* casacore::RODataManAccessor::itsDataManager

private

Definition at line 120 of file DataManAccessor.h.

Referenced by baseDataManager(), dataManagerName(), dataManagerSeqNr(), dataManagerType(), RODataManAccessor(), and showCacheStatistics().

The documentation for this class was generated from the following file:

- tables/DataMan/DataManAccessor.h